﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <diagnostic id="DVR.ATO.MRPTS.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000001</Code>
      <Description>Invalid context. RP.{SeqNum} start date cannot be any day in the future.</Description>
      <LongDescription/>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000002</Code>
      <Description>Invalid context. RP.{SeqNum} start date must be the same as the RP.{SeqNum} end date for this form.</Description>
      <LongDescription/>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000003</Code>
      <Description>The RAN must be identical across all Reporting Party SeqNum contexts</Description>
      <LongDescription>RAN in entity identifier of context Reporting Party SeqNum does not match the across all instances of Reporting Party SeqNum</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000004</Code>
      <Description>The Requestor Agent number has failed the Tax Agent number algorithm check</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000005</Code>
      <Description>Entity identifier scheme for Reporting Party Seq Num must be "http://www.ato.gov.au/ran"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000006</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Reporting Party Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:segment/xbrldi:typedMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000007</Code>
      <Description>Invalid context. The number of Reporting Party Seq Num contexts must be at least 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000008</Code>
      <Description>Invalid context. The number of Reporting Party Seq Num contexts must not exceed 10.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000009</Code>
      <Description>Report Type must be provided</Description>
      <LongDescription/>
      <Location>pyin.02.02:Report.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000010</Code>
      <Description>Report Action must be provided</Description>
      <LongDescription/>
      <Location>pyin.02.21:Report.Action.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.MRPTS.000013" xmlns="http://purl.oclc.org/dsdl/schematron">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.MRPTS.000013</Code>
      <Description>Invalid code provided</Description>
      <LongDescription>Value entered is not a valid code/value for that field. </LongDescription>
      <Location>pyin.02.02:Report.Type.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>

</diagnostics>
