﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.ODRPT.000008
         ELS Ref: V17

		     IF ([odrpt5] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [odrpt5] = pyin.xx.xx:Report.Type.Code
    -->
    <assert id="VR.ATO.ODRPT.000008" diagnostics="DVR.ATO.ODRPT.000008"
            test="not(
                        not($odrpt5[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.ODRPT.000009
         ELS Ref: V17

		     IF ([odrpt2] = NULL) 
            RETURN VALIDATION MESSAGE
         ENDIF

		     [odrpt2] = pyde.xx.xx:OrganisationDetails.WholeOfPractice.Indicator
    -->
    <assert id="VR.ATO.ODRPT.000009" diagnostics="DVR.ATO.ODRPT.000009"
            test="not(
                        not($odrpt2[not(@i:nil='true') and string-length(.) != 0])
                     )" />
  </rule>
    
</pattern>
